Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util.ajax
Class JSONPojoConvertorFactory

    java.lang.Object
      org.eclipse.jetty.util.ajax.JSONPojoConvertorFactory

All Implemented Interfaces:
  JSON.Convertor

    public class JSONPojoConvertorFactory

extends java.lang.Object
implements JSON.Convertor

Constructor Summary
`JSONPojoConvertorFactory(JSON json)`
`JSONPojoConvertorFactory(JSON json, boolean fromJSON)`

Method Summary
`java.lang.Object` | `fromJSON(java.util.Map object)`
`void` | `toJSON(java.lang.Object obj, JSON.Output out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONPojoConvertorFactory

    public JSONPojoConvertorFactory(JSON json)

### JSONPojoConvertorFactory

    public JSONPojoConvertorFactory(JSON json,
                                    boolean fromJSON)

Parameters:
  `json` - The JSON instance to use
  `fromJSON` - If true, the class name of the objects is included in the generated JSON and is used to instantiate the object when JSON is parsed (otherwise a Map is used).

Method Detail

### toJSON

    public void toJSON(java.lang.Object obj,
                       JSON.Output out)

  Specified by:
    `toJSON` in interface `JSON.Convertor`

### fromJSON

    public java.lang.Object fromJSON(java.util.Map object)

  Specified by:
    `fromJSON` in interface `JSON.Convertor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.